Subject: [bug#35493] [PATCH 1/3] gnu: slim: Allow customisation of Xorg display.

From: Diego Nicola Barbato <[email-masked]>
Date: Wed, 08 May 2019 22:12:01 +0200

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Diego Nicola Barbato <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> Perhaps a simple fix is, when there’s only one server launched, to have
>>> the Shepherd service provide both ‘xorg-server-vtN’ and ‘xorg-server’.
>>> Or to special-case vt7 such that the service for vt7 provides both
>>> ‘xorg-server’ and ‘xorg-server-vt7’.
>>>
>>> Thoughts?
>>
>> How about changing the default value of vt to #f and having the Shepherd
>> service provide ‘xorg-server-vtN’ only if vt is set to "vtN" and
>> ‘xorg-server’ otherwise.  That way the name of the default Shepherd
>> service would not change.
>
> I think I would prefer special-casing vt7, as shown below.  That way the
> ‘vt’ field would always be a string, which looks more consistent to me.
>
> Thoughts?

I have no strong feelings either way.  If it is OK that 'herd status'
displays 'xorg-server-vt7' instead of 'xorg-server' we can go for the
special-casing approach.

Regards,

Diego